package com.elephant.framework.galaxy.aroad.module.zhjc.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.elephant.framework.galaxy.aroad.module.zhjc.entity.ZhjcGhjh;
import com.elephant.framework.galaxy.aroad.response.R;
import com.elephant.framework.galaxy.aroad.module.common.annotation.SysLog;
import com.elephant.framework.galaxy.aroad.module.zhjc.entity.ZhjcGhjhTzzh;
import com.elephant.framework.galaxy.aroad.module.zhjc.service.ZhjcGhjhTzzhService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import com.elephant.framework.galaxy.aroad.module.common.controller.BaseController;

import java.util.List;


/**
 * 智慧决策_规划计划_资金
 *
 * @author wangjian
 * @date 2019-05-29 10:45:56
 */
@RestController
@AllArgsConstructor
@RequestMapping("/zhjc/ghjhtzzh")
public class ZhjcGhjhTzzhController extends BaseController  {

  private final  ZhjcGhjhTzzhService zhjcGhjhTzzhService;

  /**
   * 分页查询
   * @param page 分页对象
   * @param zhjcGhjhTzzh 智慧决策_规划计划_投资资金
   * @return
   */
  @GetMapping("/page")
  public R getZhjcGhjhTzzhPage(Page page, ZhjcGhjhTzzh zhjcGhjhTzzh) {
    return  new R<>(zhjcGhjhTzzhService.page(page,Wrappers.query(zhjcGhjhTzzh)));
  }


  /**
   * 通过id查询智慧决策_规划计划_投资资金
   * @param id id
   * @return R
   */
  @GetMapping("/{id}")
  public R getById(@PathVariable("id") String id){
    return new R<>(zhjcGhjhTzzhService.getById(id));
  }

  /**
   * 新增智慧决策_规划计划_投资资金
   * @param tzzhList 智慧决策_规划计划_投资资金
   * @return R
   */
  @SysLog("新增智慧决策_规划计划_投资资金")
  @PostMapping("/add")
  public R save(@RequestBody List<ZhjcGhjhTzzh> tzzhList){
    boolean fp = true;
    for (ZhjcGhjhTzzh new_zj : tzzhList) {
      fp = zhjcGhjhTzzhService.addZhjcGhjhTzzh(new_zj);
      if (!fp) {
        break;
      }
    }

    return new R<>(fp);
  }

  /**
   * 修改智慧决策_规划计划_投资资金
   * @param zhjcGhjhTzzh 智慧决策_规划计划_投资资金
   * @return R
   */
  @SysLog("修改智慧决策_规划计划_投资资金")
  @PostMapping("/update")
  public R updateById(@RequestBody ZhjcGhjhTzzh zhjcGhjhTzzh){
    return new R<>(zhjcGhjhTzzhService.updateZhjcGhjhTzzh(zhjcGhjhTzzh));
  }

  /**
   * 删除智慧决策_规划计划_投资资金
   * @return R
   */
  @SysLog("删除智慧决策_规划计划_投资资金")
  @PostMapping("/delete")
  public R removeById(@RequestBody ZhjcGhjhTzzh zhjcGhjhTzzh){
    return new R<>(zhjcGhjhTzzhService.deleteZhjcGhjhTzzh(zhjcGhjhTzzh));
  }

}
